Beefy Boxes and Bandwidth Generously Provided by pair Networks
Think about Loose Coupling
 
PerlMonks  

Re^4: broke my perl? :(

by Corion (Pope)
on Aug 25, 2010 at 10:19 UTC ( #857137=note: print w/replies, xml ) Need Help??


in reply to Re^3: broke my perl? :(
in thread broke my perl? :(

I think on Debian (and thus Ubuntu), apt-get and some other system-relevant programs still rely on /usr/bin/perl working. This would mean that installing any package likely won't work on that system.

I think that Debian plans/planned to remove the dependency on perl for apt-get, so maybe that will work in a recent version of Debian/Ubuntu. Restoring from backup would be the approach that's more likely to work.

Replies are listed 'Best First'.
Re^5: broke my perl? :(
by moritz (Cardinal) on Aug 25, 2010 at 10:23 UTC
    If apt-get depends on perl, maybe the lower level program dpkg doesn't.

    Downloading the .deb package manually then installing stuff with dpkg -i $deb_file has helped me to repair some Debian systems where apt wouldn't work anymore.

    Perl 6 - links to (nearly) everything that is Perl 6.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://857137]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others wandering the Monastery: (10)
As of 2020-11-25 17:34 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    No recent polls found

    Notices?